@Echo off
Echo off
rem  POSTDOWN.BAT is run -after- all automated Jobs complete, but only if the
rem  following conditions are met:
rem    1.  It must be found in the Intellicomm 'home directory' (where ICOM.EXE
rem        is located, or where the ICOM environment variable points to).
rem        Locating it on the PATH is not sufficient.
rem    2.  There must have been at least one 'Download tagged files' requested
rem        in the job(s) executed.
rem    3.  One or more files must be found in your Download Directory (assumes
rem        there would be nothing to do were the directory empty).
rem
rem  Its intended purpose is to automatically carry out any routine maintenance
rem  on newly downloaded files; such as calling a program which strips those
rem  pesky archive comments, or adds a new pesky comment/ad of your own. (?)
rem  If you have no use for this BAT, simply rename it to POSTDOWN.BAK and
rem  it will not be called.
rem
rem  NOTE that you may also create PREDOWN.BAT to carry out any routine
rem  maintenance BEFORE file transfers.  You can also create POSTDOWN.SCR
rem  and PREDOWN.SCR (Icom scripts are much more flexible than .BAT files).
rem  And if you prefer to handle each new download individually you can use
rem  POSTFILE.BAT and/or POSTFILE.SCR.  See "Automation in Detail" in the
rem  Icom online help for a rundown on all of these pre/post files.
rem
rem  Also remember that Intellicomm has the ability to automatically move
rem  -old- downloads into your Upload Directory for you, as soon as a Job
rem  that requests new downloads is 'Run' (you needn't do so here, unless you
rem  wish to move the files immediately -after- the downloads).  Toggle
rem  'Move Downloads?' on the main setup File Transfer screen to enable this
rem  feature.
rem
rem  Intellicomm performs a CHDIR to your Download Directory, and passes your
rem  Download Directory to this BAT as %1, and the first directory on your
rem  Upload Path as %2 (trailing slashes are auto-stripped from directory
rem  names).  E.g. COPY *.* %2 copies all downloads to the first directory on
rem  your Upload Path (%1 isn't needed in this command since Icom has already
rem  performed a CHDIR to the Download Directory).
rem
Echo Rename POSTDOWN.BAT to POSTDOWN.BAK to bypass running of this file.
rem
rem Example command to strip archive comments:
rem StripZIP *.ZIP

